"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const light = require("../../_styles/common/light.js");
const index = require("../../../../../../seemly@0.3.6/node_modules/seemly/es/color/index.js");
const self = (vars) => {
  const { borderRadius, avatarColor, cardColor, fontSize, heightTiny, heightSmall, heightMedium, heightLarge, heightHuge, modalColor, popoverColor } = vars;
  return {
    borderRadius,
    fontSize,
    border: `2px solid ${cardColor}`,
    heightTiny,
    heightSmall,
    heightMedium,
    heightLarge,
    heightHuge,
    color: index.composite(cardColor, avatarColor),
    colorModal: index.composite(modalColor, avatarColor),
    colorPopover: index.composite(popoverColor, avatarColor)
  };
};
const avatarLight = {
  name: "Avatar",
  common: light.default,
  self
};
const avatarLight$1 = avatarLight;
exports.default = avatarLight$1;
exports.self = self;
